Bug 1015030 - RFE: Does not create samples for glyphs with U+???? encoding
RFE: Does not create samples for glyphs with U+???? encoding
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fntsample (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 06:41 EDT by Pravin Satpute
Modified: 2015-01-14 12:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 12:23:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pdf generated for Lohit Devanagari (69.13 KB, application/pdf)
2014-04-14 01:51 EDT, Pravin Satpute
no flags Details

  None (edit)
Description Pravin Satpute 2013-10-03 06:41:30 EDT
Description of problem:
I superliked this program.

Tried this with Lohit-Devanagari ttf, but it does not list all my U+???? glyphs. Basically glyphs with -1 encoding.

Version-Release number of selected component (if applicable):
fntsample-3.2-1.fc19.x86_64

How reproducible:
everytime

Steps to Reproduce:
1. $fntsample --font-file /usr/share/fonts/lohit-devanagari/Lohit-Devanagari.ttf -o out
2. $evince out
3.

Actual results:
Glyphs with U+???? are not listed

Expected results:
It should be listed as a "private user area" or private glyphs. 

Additional info:
Comment 1 Parag Nemade 2014-03-24 05:28:11 EDT
Please provide screenshot of the problem you saw in generated pdf file
Comment 2 Pravin Satpute 2014-04-14 01:51:41 EDT
Created attachment 886015 [details]
Pdf generated for Lohit Devanagari
Comment 3 Fedora End Of Life 2015-01-09 17:19:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Pravin Satpute 2015-01-14 03:49:52 EST
It is good to have feature for fntsample. Marking as RFE.
Comment 5 Parag Nemade 2015-01-14 12:23:27 EST
fntsample shows only glyphs which have Unicode code points and not extra glyphs given in the font. See the description given on upstream page

"FntSample is a tool that can be used to make font samples that show coverage of the font and are similar in appearance to Unicode Charts."

So the output in pdf is similar to Unicode charts.

Note You need to log in before you can comment on or make changes to this bug.